Bug 838669 - Document how to update to CloudForms-1.0.1 ... if $releasever is set
Document how to update to CloudForms-1.0.1 ... if $releasever is set
Status: CLOSED CURRENTRELEASE
Product: CloudForms Common
Classification: Red Hat
Component: Docs Release Notes (Show other bugs)
1.1.0
Unspecified Unspecified
high Severity medium
: beta4
: ---
Assigned To: Julie
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 14:13 EDT by James Laska
Modified: 2013-09-02 03:02 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
See comment#5 for suggested wording.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-10 22:46:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2012-07-09 14:13:52 EDT
Description of problem:

With the method in which we are publishing CloudForms to the CDN, if a custom has chosen to lock-in a specific release of RHEL using the $releasever variable (/etc/yum/vars/releasever), they will not see any CloudForms package updates.

CloudForms-1.0 shipped to
 * /content/dist/rhel/server/6/6.2/x86_64/cf-ce/
 * /content/dist/rhel/server/6/6.2/x86_64/cf-se/

CloudForms-1.0.1 is shipping to
 * /content/dist/rhel/server/6/6.3/x86_64/cf-ce/
 * /content/dist/rhel/server/6/6.3/x86_64/cf-se/

If a customer has set $releasever == 6.2 ... they will not be able to update to CloudForms-1.0.1


We should add a release note (or kbase) describing how to detect whether $releasever is set, and how clear the $releasever value.
Comment 1 Mike Orazi 2012-08-02 09:52:29 EDT
Let's get a summary of this in Technical Notes.
Comment 2 James Laska 2012-09-12 18:29:50 EDT
The more I think about this, I'm not so certain it's CloudForms responsibility to document how to unset $releasever.  Perhaps this should live alongside the documentation guiding customers in setting releasever=$something.

https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Deployment_Guide/sec-Using_Yum_Variables.html

Feel free to correct me, but I'm now leaning towards CLOSED WONTFIX.  

Bkearney: you're familiar with the usage of $releasever, what do you think?
Comment 4 Mike Orazi 2012-09-21 11:03:15 EDT
I'm leaning towards CLOSED WONTFIX until we have a firm course of action.
Comment 5 James Laska 2012-09-24 11:35:24 EDT
I propose we add a note to users in the existing upgrade sections.

For example... 

System Engine - https://access.redhat.com/knowledge/docs/en-US/CloudForms/1.0/html/Release_Notes/chap-Release_Notes-Updates.html#chap-Release_Notes-Updates-System_Engine

Cloud Engine - https://access.redhat.com/knowledge/docs/en-US/CloudForms/1.0/html/Release_Notes/chap-Release_Notes-Updates-Cloud_Engine.html

I would like to request help from the Docs team in adding a new section similar in form to the following.

> == Update Repository Definitions (optional) ==
> 
> For customers that choose to bind their systems to a particular Red Hat Enterprise repository using the 'yum' $releasever variable [1], additional steps may be required to properly update your system.
> 
> First, determine the currently installed Red Hat Enterprise Linux release using the following command:
>  $ rpm -q --whatprovides --qf "%{version}\n" system-release
> 
> Next, using the following command, determine what the 'yum' command will use when updating the your installed Red Hat Enterprise Linux system.
> 
>  $ python -c "import yum; yb=yum.YumBase() ; yb.conf ; print yb.yumvar['releasever']"
> 
> If the two values differ, your system may not properly receive CloudForms package updates.  In order to properly update your CloudForms installation, you must clear, or reset, and custom values for the yum '$releasever' variable.  For more information on setting, or removing, yum variables refer to [1].
> 
> [1] https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Deployment_Guide/sec-Using_Yum_Variables.html

Note You need to log in before you can comment on or make changes to this bug.